-- This is the table for the default values
-- These are the values that will be used if none are loaded ( eg. no variables saved yet )
local defaults =
{
    offsetX = 0,
    offsetY = 0
}

local function OnAddOnLoaded(eventCode, addOnName)
    if(addOnName == "SavedVariables") then
	
	--Load / Create our saved variable file
	--from the addon txt file - ## SavedVariables: SAVEDVARIABLES_DB 
	--SAVEDVARIABLES_DB used in the fire part of ZO_SavedVars:NewAccountWide
        savedVars = ZO_SavedVars:NewAccountWide("SAVEDVARIABLES_DB", 1, nil, defaults)

	--Display loaded variables
	d("Variables loaded")
	d("offsetX=" .. savedVars.offsetX)
	d("offsetY=" .. savedVars.offsetY)

	-- This will change the vars so they are different on every reload of the ui
	if (savedVars.offsetX == 3) then
		savedVars.offsetX = 1
		savedVars.offsetY = 2
		d("Vars Changed: On next reload they should display as 1 and 2")
	else
		d("Vars Changed: On next reload they should display 3 and 4")
		savedVars.offsetX = 3
		savedVars.offsetY = 4
	end

    end
end

-- Init SavedVariables
function SavedVariablesInit()
	--On addon load fire this function
	EVENT_MANAGER:RegisterForEvent("SavedVariables", EVENT_ADD_ON_LOADED, OnAddOnLoaded)
end